itpp::Link_Packet Class Reference

`#include <itpp/protocol/packet.h>`

Inheritance diagram for itpp::Link_Packet:

## Public Member Functions

| Link_Packet (const int Seq_no, const unsigned long int Link_packet_id, L3_Packet_Info *Cp)
| ADD DOCUMENTATION HERE.
| ~Link_Packet ()
| ADD DOCUMENTATION HERE.
void | set_bit_size (int packet_size)
| set size of packet in bits
int | bit_size ()
| get size of packet in bits

## Public Attributes

unsigned long int | link_packet_id
| ADD DOCUMENTATION HERE.
int | seq_no
| ADD DOCUMENTATION HERE.
L3_Packet_Info * | l3_pkt_info_p
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 97 of file packet.h.

The documentation for this class was generated from the following file:

- itpp/protocol/packet.h

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1